> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# List external API logs



## OpenAPI

````yaml /api-reference/membrane-api.json get /external-api-logs
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /external-api-logs:
    get:
      tags:
        - ExternalApiLogs
      summary: List external API logs
      operationId: listExternalApiLogs
      parameters:
        - name: limit
          required: false
          in: query
          description: Maximum number of items to return (1-1000)
          schema:
            minimum: 1
            maximum: 1000
            type: integer
        - name: cursor
          required: false
          in: query
          description: Pagination cursor from a previous response
          schema:
            type: string
        - name: tenantId
          in: query
          required: false
          schema:
            type: string
        - name: integrationId
          in: query
          required: false
          schema:
            type: string
        - name: connectionId
          in: query
          required: false
          schema:
            type: string
        - name: isSuccess
          required: false
          in: query
          schema:
            type: boolean
        - name: externalAppId
          in: query
          required: false
          schema:
            type: string
        - name: from
          in: query
          required: false
          schema:
            type: string
        - name: to
          in: query
          required: false
          schema:
            type: string
        - name: sortOrder
          required: false
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListExternalApiLogsResponseDto'
components:
  schemas:
    ListExternalApiLogsResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              workspaceId:
                type: string
              tenantId:
                type: string
              integrationId:
                type: string
              connectionId:
                type: string
              externalAppId:
                type: string
              statusCode:
                type: number
              isSuccess:
                type: boolean
              s3Uri:
                type: string
              createdAt:
                type: string
              requestUrl:
                type: string
              duration:
                type: number
            required:
              - id
              - workspaceId
              - tenantId
              - integrationId
              - connectionId
              - statusCode
              - isSuccess
              - s3Uri
              - createdAt
              - requestUrl
              - duration
        cursor:
          type: string
      required:
        - items
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````